rusefi-1/firmware/gen_live_documentation.sh

27 lines
1.1 KiB
Bash
Raw Normal View History

#!/bin/bash
2020-06-18 09:41:14 -07:00
rm gen_live_documentation.log
2021-10-16 17:43:44 -07:00
bash gen_live_documentation_one_file.sh ac_control AcControl.java controllers/actuators
[ $? -eq 0 ] || { echo "ERROR generating"; exit 1; }
2020-06-18 09:41:14 -07:00
2021-10-16 17:43:44 -07:00
bash gen_live_documentation_one_file.sh pid_state PidState.java util/math
[ $? -eq 0 ] || { echo "ERROR generating"; exit 1; }
2020-06-18 09:41:14 -07:00
2021-10-16 17:43:44 -07:00
bash gen_live_documentation_one_file.sh engine_state EngineState.java controllers/algo
[ $? -eq 0 ] || { echo "ERROR generating"; exit 1; }
2020-06-18 09:41:14 -07:00
2021-10-16 17:43:44 -07:00
bash gen_live_documentation_one_file.sh trigger_central TriggerCentral.java controllers/trigger
[ $? -eq 0 ] || { echo "ERROR generating"; exit 1; }
2020-06-18 09:41:14 -07:00
2021-10-16 17:43:44 -07:00
bash gen_live_documentation_one_file.sh trigger_state TriggerState.java controllers/trigger
[ $? -eq 0 ] || { echo "ERROR generating"; exit 1; }
2021-10-16 17:43:44 -07:00
bash gen_live_documentation_one_file.sh wall_fuel_state WallFuelState.java controllers/algo
[ $? -eq 0 ] || { echo "ERROR generating"; exit 1; }
2020-06-18 09:41:14 -07:00
java -DSystemOut.name=gen_live_documentation \
-cp ../java_tools/ConfigDefinition.jar \
com.rusefi.ldmp.UsagesReader integration/LiveData.yaml
2021-10-16 17:43:44 -07:00
[ $? -eq 0 ] || { echo "ERROR generating"; exit 1; }